SuSE 11.1 Security Update : vpnc (SAT Patch Number 5027)

High Nessus Plugin ID 56020


The remote SuSE 11 host is missing a security update.


This update of vpnc fixes a flaw in the modify_resolvconf_suse script that could potentially allow remote attackers to inject commands through specially crafted DNS domains. (CVE-2011-2660)

Also a rekeying during reconnect was improved.


Apply SAT patch number 5027.

See Also

Plugin Details

Severity: High

ID: 56020

File Name: suse_11_vpnc-110822.nasl

Version: $Revision: 1.4 $

Type: local

Agent: unix

Published: 2011/08/31

Modified: 2013/10/25

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:vpnc, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2011/08/22

Reference Information

CVE: CVE-2011-2660